API दस्तावेज़ीकरण
Create Questionnaire Education
post
/api/v1/kyc/questionnaire/educationAnswers the knowledge step (education and the product questions).
KycQuestionnaire
पैरामीटर
version
path · string
आवश्यक
अनुरोध निकाय
{
"educationAndExperienceRelevant": "Example",
"educationLeverage": "Example",
"educationFXProduct": "Example",
"educationCFDProduct": "Example"
}जवाब
- 200Updated questionnaire state.application/json
{ "steps": [ "PersonalDetails", "Address", "Financial" ], "completedSteps": [ "PersonalDetails" ], "nextStep": "Address", "firstName": "Anna", "lastName": "Example", "notUsPersonConfirmationRequired": true, "defaultCurrency": "EUR", "sourceOfFunds": { "requested": true, "submitted": false, "financialAnswered": false, "defaultCurrency": "EUR", "allowedExtensions": [ "pdf", "jpg", "png" ], "maximumFileSizeInKb": 5120, "maximumNumberOfFiles": 10, "files": [], "monthlyLimit": null } } - 400Some answers are missing or invalid.application/json
{ "errors": { "dateOfBirth": [ "Please specify your date of birth." ] } } - 401Not authenticated.application/json
{ "type": "Deposit", "title": "Example", "status": 1, "detail": "The request could not be completed. Check the values and try again.", "instance": "Example" }